osd: XOsd Struct Reference

| osd Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XOsd Struct Reference
Osd_v4_0

The XOsd instance data. More...

## Data Fields
XOsd_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Core instance is initialized. More...
u32 | InstructionInExternalMem
| Flag indicating if the instruction list is from external memory. More...
u32 | ScreenHeight
| Screen Height of the OSD output. More...
u32 | ScreenWidth
| Screen Width of the OSD output. More...
XOsd_Layer | Layers [(XOSD_MAX_NUM_OF_LAYERS)]
| Properties of layers. More...
XOsd_CallBack | ProcStartCallBack
| Call back for Processing Start interrupt. More...
void * | ProcStartRef
| To be passed to the Process Start interrupt callback. More...
XOsd_CallBack | FrameDoneCallBack
| Call back for Frame Done interrupt. More...
void * | FrameDoneRef
| To be passed to the Frame Done interrupt callback. More...
XOsd_ErrorCallBack | ErrCallBack
| Call back for Error interrupt. More...
void * | ErrRef
| To be passed to the Error interrupt callback. More...

## Detailed Description

The XOsd instance data.

An instance must be allocated for each OSD core in use.

## Field Documentation

XOsd_Config XOsd::Config

Hardware configuration.

Referenced by XOsd_CfgInitialize(), XOsd_DisableLayer(), XOsd_EnableLayer(), XOsd_GetActiveSize(), XOsd_GetBackgroundColor(), XOsd_GetLayerAlpha(), XOsd_GetLayerDimension(), XOsd_GetLayerPriority(), XOsd_GetVersion(), XOsd_LoadCharacterSetBank(), XOsd_LoadColorLUTBank(), XOsd_LoadInstructionList(), XOsd_LoadTextBank(), XOsd_SelfTest(), XOsd_SetActiveBank(), XOsd_SetActiveSize(), XOsd_SetBackgroundColor(), XOsd_SetLayerAlpha(), XOsd_SetLayerDimension(), and XOsd_SetLayerPriority().

XOsd_ErrorCallBack XOsd::ErrCallBack

Call back for Error interrupt.

Referenced by XOsd_CfgInitialize(), XOsd_IntrHandler(), and XOsd_SetCallBack().

void* XOsd::ErrRef

To be passed to the Error interrupt callback.

Referenced by XOsd_IntrHandler(), and XOsd_SetCallBack().

XOsd_CallBack XOsd::FrameDoneCallBack

Call back for Frame Done interrupt.

Referenced by XOsd_CfgInitialize(), XOsd_IntrHandler(), and XOsd_SetCallBack().

void* XOsd::FrameDoneRef

To be passed to the Frame Done interrupt callback.

Referenced by XOsd_IntrHandler(), and XOsd_SetCallBack().

u32 XOsd::InstructionInExternalMem

Flag indicating if the instruction list is from external memory.

Referenced by XOsd_CfgInitialize().

u32 XOsd::IsReady

Core instance is initialized.

Referenced by XOsd_CfgInitialize(), XOsd_CreateInstruction(), XOsd_DisableLayer(), XOsd_EnableLayer(), XOsd_GetActiveSize(), XOsd_GetBackgroundColor(), XOsd_GetLayerAlpha(), XOsd_GetLayerDimension(), XOsd_GetLayerPriority(), XOsd_IntrHandler(), XOsd_LoadCharacterSetBank(), XOsd_LoadColorLUTBank(), XOsd_LoadInstructionList(), XOsd_LoadTextBank(), XOsd_SetActiveBank(), XOsd_SetActiveSize(), XOsd_SetBackgroundColor(), XOsd_SetCallBack(), XOsd_SetLayerAlpha(), XOsd_SetLayerDimension(), and XOsd_SetLayerPriority().

XOsd_Layer XOsd::Layers[(XOSD_MAX_NUM_OF_LAYERS)]

Properties of layers.

Referenced by XOsd_CreateInstruction(), XOsd_DisableLayer(), XOsd_EnableLayer(), XOsd_GetLayerAlpha(), XOsd_GetLayerDimension(), XOsd_GetLayerPriority(), XOsd_LoadCharacterSetBank(), XOsd_LoadColorLUTBank(), XOsd_LoadInstructionList(), XOsd_LoadTextBank(), XOsd_SetActiveBank(), XOsd_SetLayerAlpha(), XOsd_SetLayerDimension(), and XOsd_SetLayerPriority().

XOsd_CallBack XOsd::ProcStartCallBack

Call back for Processing Start interrupt.

Referenced by XOsd_CfgInitialize(), XOsd_IntrHandler(), and XOsd_SetCallBack().

void* XOsd::ProcStartRef

To be passed to the Process Start interrupt callback.

Referenced by XOsd_IntrHandler(), and XOsd_SetCallBack().

u32 XOsd::ScreenHeight

Screen Height of the OSD output.

Referenced by XOsd_SetActiveSize(), and XOsd_SetLayerDimension().

u32 XOsd::ScreenWidth

Screen Width of the OSD output.

Referenced by XOsd_SetActiveSize(), and XOsd_SetLayerDimension().